Support » Requests and Feedback » Don’t Force Block Editor On Us Please

  • Resolved AME Network

    (@ame-network)


    Not looking for discussion, this is a simple request to the development team at WordPress:

    WE have a lot of WP sites we’ve built over the years, and from what testing we’ve done, we NEVER plan to use the Block Editor.

    Don’t FORCE the Block Editor on us PLEASE! 😉

Viewing 5 replies - 1 through 5 (of 5 total)
  • Moderator Steven Stern

    (@sterndata)

    Support Team / Sword in the Darkness

    Install the “Classic Editor” plugin to return to the old editor. The block editor is the future and it’s not going away. Hopefully, it becomes a lot easier and more intuitive as time goes by.

    Duh. We are already using the Classic Editor plugin on ALL sites. Hopefully, WordPress will NOT FORCE the block editor on us, but allow the free-will choice to keep doing things the way we have been. Thx

    Moderator Jan Dembowski

    (@jdembowski)

    Forum Moderator and Brute Squad

    Not looking for discussion, this is a simple request to the development team at WordPress:

    That’s Great! Or maybe just “Duh.” It saves a lot of time when you say that at the outset. As this not-discussion has been well and truly worn out and beaten to death, here’s the summary.

    1. WordPress is using the new editor. This is from WordPress 5.0 on.

      A lot of conversation went into that decision and while some don’t like the method or outcome, it is what it is and we are where we are.

    2. As new enhancements to the new editor arrive, they will be tested using the Gutenber plugin.

      This plugin.

      https://wordpress.org/plugins/gutenberg/

      Install that one if you wish to evaluate those new features. If you are on WordPress 5.0.x or 5.1 then you do not need that plugin to get the new editor.

    3. If you do not wish to use the new editor, if you have a plugin or theme that has a problem with the new editor then please install this plugin.

      https://wordpress.org/plugins/classic-editor/

      That plugin will be supported and maintained until at least 2022, or as long as is necessary.

    4. There are other plugins that disable the new editor. I’m sure you can find them.

    I’ll leave your request in place and since you’re not looking for a discussion I’ll close this topic down.

    Moderator Samuel Wood (Otto)

    (@otto42)

    WordPress.org Admin

    Hopefully, WordPress will NOT FORCE the block editor on us, but allow the free-will choice to keep doing things the way we have been.

    No. All new development is going to be block-editor based. The block editor is the future of WordPress. The older editor will not be supported forever, and will be phased out as time goes on. You should plan your migration now.

    Well THAT JUST SUCKS!!! The BLOCK EDITOR SUCKS!!! I’ve wasted over 10 years with WordPress if your going to go all Gestapo on us! So much for freedom, open minds and open source. Should know you folks would get high, mighty, snooty and too big for your little britches. Please, no patronizing replies. Shove it!

Viewing 5 replies - 1 through 5 (of 5 total)
  • The topic ‘Don’t Force Block Editor On Us Please’ is closed to new replies.